Board index FlightGear Support osgEarth

Initial FlightGear / OsgEarth integration

osgEarth renders the terrain scene by building the textured geometry at runtime from raw source imagery and elevation data. An experimental FlightGear integration is currently available.

Re: Initial FlightGear / OsgEarth integration

Postby poweroftwo » Mon Jan 06, 2014 7:35 pm

yes, If you built FG/simgear 2.99, then you will need a matching version of fgdata.
poweroftwo
 
Posts: 100
Joined: Tue Mar 05, 2013 3:35 am
Location: USA - Alabama

Re: Initial FlightGear / OsgEarth integration

Postby Hooray » Mon Jan 06, 2014 8:20 pm

ludomotico wrote in Mon Jan 06, 2014 3:37 pm:I don't think this is going to be solved with a LD_LIBRARY_PATH. If I understood correctly, you can run the simulator and the error only appears after you activate osgEarth. In my opinion, this means that either your fgdata has some configuration file missing, or your osgEarth library was compiled without filesystem support. Try to build again osgEarth (including the cmake part!) and check for any error messages.


as I said, this is EXACTLY what happened here
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11377
Joined: Tue Mar 25, 2008 8:40 am

Re: Initial FlightGear / OsgEarth integration

Postby volneyrock » Tue Jan 07, 2014 4:31 pm

I can not clone the folder data2.99 Gitorious, anyone has a valid link?

I tried "git clone git@gitorious.org:fg/fgdata.git''
volneyrock
 
Posts: 11
Joined: Sun Jan 05, 2014 9:47 pm

Re: Initial FlightGear / OsgEarth integration

Postby saiarcot895 » Tue Jan 07, 2014 4:40 pm

Use the HTTPS version of the link: https://git.gitorious.org/fg/fgdata.git. The SSH version is for those who have an account on Gitorious and have their SSH key in the system.

You could also download the fgdata.bundle and start with that or use the git://mapserver.flightgear.org/fgdata server.

That being said, I would first recompile osgEarth, as that is easier.
Saikrishna Arcot

My FlightGear PPAs: FlightGear Stable, FlightGear Development (Edge)
saiarcot895
 
Posts: 307
Joined: Sat Feb 02, 2013 4:26 pm
Callsign: flyhigh
Version: 2019.2.0
OS: Ubuntu 19.04

Re: Initial FlightGear / OsgEarth integration

Postby volneyrock » Tue Jan 07, 2014 5:06 pm

I already recompiled the osgEarth
I'll try fgdata.bundle.
volneyrock
 
Posts: 11
Joined: Sun Jan 05, 2014 9:47 pm

Re: Initial FlightGear / OsgEarth integration

Postby housefatherof6 » Wed Feb 19, 2014 11:00 pm

Which patch for windows works for FG 3.0.0 11242013.exe or the 1st one 11142012.exe which was on mention on viewtopic.php?f=6&t=21351#p194317
Thanks ahead of time
housefatherof6
 
Posts: 48
Joined: Tue Mar 26, 2013 3:12 pm
Location: Kansas USA
Callsign: jayhawk
Version: 3.0.0
OS: Ubuntu 14.4 LTS

Re: Initial FlightGear / OsgEarth integration

Postby Hooray » Wed Feb 19, 2014 11:07 pm

housefatherof6 wrote in Wed Feb 19, 2014 11:00 pm:Which patch for windows works for FG 3.0.0 11242013.exe or the 1st one 11142012.exe which was on mention on viewtopic.php?f=6&t=21351#p194317


none, and it's a simple puzzle to solve: 1) look at the date of the posting, 2) look at the release date of FG 3.0 => 3) make up your own mind about time travel ...
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11377
Joined: Tue Mar 25, 2008 8:40 am

Re: Initial FlightGear / OsgEarth integration

Postby housefatherof6 » Thu Feb 20, 2014 3:19 am

Thanks Hooray, I thought that there might be a new patch for 3.0.0. Guess I'll keep using 2.12.1 for Osgearth.
housefatherof6
 
Posts: 48
Joined: Tue Mar 26, 2013 3:12 pm
Location: Kansas USA
Callsign: jayhawk
Version: 3.0.0
OS: Ubuntu 14.4 LTS

Re: Initial FlightGear / OsgEarth integration

Postby Hooray » Thu Feb 20, 2014 7:01 am

I am sure that someone around here could provide such a patch - maybe you only need to ask really nicely and offer something in return, such as an updated wiki article and a few screen shots illustrating the installation/patching process ? :-)
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11377
Joined: Tue Mar 25, 2008 8:40 am

Re: Initial FlightGear / OsgEarth integration

Postby Algernon » Mon Mar 03, 2014 2:40 pm

I will happily volunteer to undertake one side of that bargain, if a patch could be made available...
Algernon
FGUK - A FlightGear community in the United Kingdom and Republic of Ireland
User avatar
Algernon
 
Posts: 498
Joined: Sun Jun 27, 2010 3:55 pm
Callsign: G-ALGY
Version: 3.0
OS: W7U

Re: Initial FlightGear / OsgEarth integration

Postby housefatherof6 » Mon Mar 03, 2014 2:46 pm

I would be happy to volunteer as well....trying to decide on which to do...I'm not very good writer. So leaves screen shots or something similar
housefatherof6
 
Posts: 48
Joined: Tue Mar 26, 2013 3:12 pm
Location: Kansas USA
Callsign: jayhawk
Version: 3.0.0
OS: Ubuntu 14.4 LTS

Re: Initial FlightGear / OsgEarth integration

Postby Gijs » Sun Mar 23, 2014 12:18 pm

Finally got the chance to try building osgEarth myself. Everything seems to worked out well, except that I get an error when running fgfs (or fgviewer).

"Cannot find DLL entry point SPLite3_prepare_v2 in spatialite.dll"

The problem is that the DLL has entries like sqlite3_prepare_v2 (so sqlite3 instead of SPLite3). Any clue as to where that's coming from?

EDIT: I've built sqlite myself and now that seems to be working. Getting a 0xc000007b error now though :-( Dependency walker shows no problems...
Airports: EHAM, EHLE, KSFO
Aircraft: 747-400
User avatar
Gijs
Moderator
 
Posts: 9385
Joined: Tue Jul 03, 2007 2:55 pm
Location: Amsterdam/Delft, the Netherlands
Callsign: PH-GYS
Version: Git
OS: Windows 10

Re: Initial FlightGear / OsgEarth integration

Postby F-JJTH » Sun Mar 23, 2014 1:52 pm

Gijs wrote in Sun Mar 23, 2014 12:18 pm:EDIT: I've built sqlite myself and now that seems to be working. Getting a 0xc000007b error now though :-( Dependency walker shows no problems...


Because your DLL is a 32 bits DLL while fgfs.exe is a 64 bits binary.
User avatar
F-JJTH
 
Posts: 697
Joined: Fri Sep 09, 2011 11:02 am

Re: Initial FlightGear / OsgEarth integration

Postby Gijs » Sun Mar 23, 2014 2:07 pm

All my DLLs are 64 bits and correctly identified as 64 bits by dependency walker. That's the annoying thing :-(

EDIT: The problem is definitely somewhere with osgEarth. Getting the same error when I try to launch osgearth_viewer
Airports: EHAM, EHLE, KSFO
Aircraft: 747-400
User avatar
Gijs
Moderator
 
Posts: 9385
Joined: Tue Jul 03, 2007 2:55 pm
Location: Amsterdam/Delft, the Netherlands
Callsign: PH-GYS
Version: Git
OS: Windows 10

Re: Initial FlightGear / OsgEarth integration

Postby Gijs » Sun Mar 23, 2014 5:58 pm

With the help of Clément, I've now got a working osgEarth. The integration with FlightGear is still not working though. I get the following error when trying to launch fgfs:
"Cannot find entry point "bool osgEarth::ElevationLayer::isKeyValid(class osgEarth::TileKey const &)" in DLL-file osgEarth.dll"

Any ideas?
Airports: EHAM, EHLE, KSFO
Aircraft: 747-400
User avatar
Gijs
Moderator
 
Posts: 9385
Joined: Tue Jul 03, 2007 2:55 pm
Location: Amsterdam/Delft, the Netherlands
Callsign: PH-GYS
Version: Git
OS: Windows 10

PreviousNext

Return to osgEarth

Who is online

Users browsing this forum: No registered users and 1 guest